Page MenuHomePhabricator

[NFC][VPlan] Use VPUser to store block's predicate
ClosedPublic

Authored by a.elovikov on Feb 11 2021, 11:01 AM.

Diff Detail

Event Timeline

a.elovikov created this revision.Feb 11 2021, 11:01 AM
a.elovikov requested review of this revision.Feb 11 2021, 11:01 AM
Herald added a project: Restricted Project. · View Herald TranscriptFeb 11 2021, 11:01 AM
fhahn added a comment.Feb 15 2021, 2:08 AM

Thanks for taking a stab at this after D95382!

llvm/lib/Transforms/Vectorize/VPlan.h
428–429

The functions here are essentially the same as for CondBit, right? Could you factor out the logic into private helpers, that take a reference to VPUser?

Move common implementation of get/set methods into helpers

a.elovikov marked an inline comment as done.Feb 16 2021, 9:10 AM
fhahn accepted this revision.Feb 18 2021, 9:20 AM

LGTM, thanks!

This revision is now accepted and ready to land.Feb 18 2021, 9:20 AM
This revision was landed with ongoing or failed builds.Feb 23 2021, 11:09 AM
This revision was automatically updated to reflect the committed changes.